Package org.apache.commons.imaging.formats.tiff

## Class TiffImageMetadata.GPSInfo

- java.lang.Object
- - org.apache.commons.imaging.formats.tiff.TiffImageMetadata.GPSInfo

- Enclosing class:
    TiffImageMetadata

      public static class TiffImageMetadata.GPSInfo
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `RationalNumber` | `latitudeDegrees` |
    `RationalNumber` | `latitudeMinutes` |
    `String` | `latitudeRef` |
    `RationalNumber` | `latitudeSeconds` |
    `RationalNumber` | `longitudeDegrees` |
    `RationalNumber` | `longitudeMinutes` |
    `String` | `longitudeRef` |
    `RationalNumber` | `longitudeSeconds` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GPSInfo​(String latitudeRef, String longitudeRef, RationalNumber latitudeDegrees, RationalNumber latitudeMinutes, RationalNumber latitudeSeconds, RationalNumber longitudeDegrees, RationalNumber longitudeMinutes, RationalNumber longitudeSeconds)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `double` | `getLatitudeAsDegreesNorth()` |
    `double` | `getLongitudeAsDegreesEast()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### latitudeRef

          public final String latitudeRef

    - #### longitudeRef

          public final String longitudeRef

    - #### latitudeDegrees

          public final RationalNumber latitudeDegrees

    - #### latitudeMinutes

          public final RationalNumber latitudeMinutes

    - #### latitudeSeconds

          public final RationalNumber latitudeSeconds

    - #### longitudeDegrees

          public final RationalNumber longitudeDegrees

    - #### longitudeMinutes

          public final RationalNumber longitudeMinutes

    - #### longitudeSeconds

          public final RationalNumber longitudeSeconds

  - ### Constructor Detail

    - #### GPSInfo

          public GPSInfo​(String latitudeRef,
                         String longitudeRef,
                         RationalNumber latitudeDegrees,
                         RationalNumber latitudeMinutes,
                         RationalNumber latitudeSeconds,
                         RationalNumber longitudeDegrees,
                         RationalNumber longitudeMinutes,
                         RationalNumber longitudeSeconds)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getLongitudeAsDegreesEast

          public double getLongitudeAsDegreesEast()
                                           throws ImageReadException

      Throws:
        `ImageReadException`

    - #### getLatitudeAsDegreesNorth

          public double getLatitudeAsDegreesNorth()
                                           throws ImageReadException

      Throws:
        `ImageReadException`